Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Properties | List of all members
CSSIPUserConfiguration Class Reference

Configuration information for a `CSSIPSignalingEngine`. More...

`#import <CSSIPUserConfiguration.h>`

Inherits NSObject.

## Properties
BOOL | enabled
| A Boolean value indicating whether the SIP provider is enabled. More...
CSConnectionPolicy * | connectionPolicy
| The connection policy defining the signaling servers to communicate with. More...
NSString * | userId
| The user ID. More...
NSString * | domain
| The SIP domain for the user. More...
id< CSCredentialProvider > | credentialProvider
| The credential provider to be used for SIP authentication. More...
NSString * | displayName
| The display name used to identify the endpoint the user is on. More...
NSString * | language
| The language string to use in Accept-Language header. More...
CSSIPMobilityMode | mobilityMode
| The mobility mode for the user. More...
NSString * | alternateNetwork
| The alternate network type for a dual-mode client. More...
NSString * | alternateAddressOfRecord
| The address-of-record for the user in the alternate network. More...
NSArray * | mediaEncryptionCipherList
| List of enabled ciphersuites for SRTP. More...
BOOL | SRTCPEnabled
| A Boolean value indicating whether encryption is enabled for SRTCP. More...
BOOL | useSIPSURIOverTLS
| Controls whether the SIP endpoint uses sips (secure SIP) URI scheme for all SIP requests it initiates towards the network, including secure media calls. More...
BOOL | MACAddressInfoInSIPRegistrationEnabled
| Controls whether the local MAC address information is provided in the "+av.mac-address" field of the SIP registration contact address or not. More...
CSSIPClientConfiguration * | SIPClientConfiguration
| Configuration information for SIP Client data. More...
CSSIPAgentConfiguration * | SIPAgentConfiguration
| Configuration information for SIP Agent Feature service. More...
CSOutboundSubscriptionConfiguration * | outboundSubscriptionConfiguration
| Configuration information for Outbound Subscription data. More...
CSMediaTransportPreference | voipCallingPreference
| VoIP Calling preference of user. More...
CSSignalingAddressMode | signalingAddressMode
| Indicates the SIP session manager address type preference when the client connects to dual stack server from a dual stack client network. More...
CSMediaAddressMode | mediaAddressMode
| Indicates the IP address type preference to use when negotiating media streams when the client connects to dual stack server from a dual stack client network. More...
BOOL | transferToVoicemailEnabled
| A Boolean value indicating if transfer to voicemail feature is enabled. More...
BOOL | incomingVoipCallsBarred
| A Boolean value indicating that the user doesn't wish to receive incoming calls through VoIP service. More...
NSString * | dialPlan
| It accelerates dialing by eliminating the need to wait for the INTER_DIGIT_TIMEOUT timer to expire. More...
NSSet * | emergencyNumbers
| The emergency phone numbers. More...
BOOL | enableDeskphoneModeOnStartup
| Controls whether the SIP endpoint registers in desk phone mode on startup. More...
BOOL | enableAlternateCLI
| Controls whether the SIP endpoint sends Alternate-CLI header in other phone mode to other phone number. More...
BOOL | initiateTCCallWhenForwardingEnabled
| When Send All Calls feature is enabled, there continues to be an incoming call notification that arrives at the client application, and will be forwarded to the Telecommuter device and cancelled when the Aura coverage timer fires. More...
CSCallDenialPolicy | callDenialPolicy
| Specifies the call denial policy. More...
NSUInteger | maxSimultaneousRegistrations
| The maximum number of servers a user can simultaneously register to. More...
NSUInteger | otherPhoneModeRemoteMediaResponseTimeout
| Time period for waiting for completion of initial INVITE transaction with other phone call leg. More...
BOOL | automaticLineReservationEnabled
| Controls whether the Client SDK shall automatically invoke line reservation feature prior to placing an outgoing call. More...

## Detailed Description

Configuration information for a `CSSIPSignalingEngine`.

## Property Documentation

- (NSString*) alternateAddressOfRecord
| read write nonatomic copy

The address-of-record for the user in the alternate network.

For a dual-mode client, this specifies the user's cell number.

- (NSString*) alternateNetwork
| read write nonatomic copy

The alternate network type for a dual-mode client.

Generally set to "mobile" for dual-mode clients.

- (BOOL) automaticLineReservationEnabled
| read write nonatomic assign

Controls whether the Client SDK shall automatically invoke line reservation feature prior to placing an outgoing call.

The default value is false, which means automatic line reservation is disabled.

- (CSCallDenialPolicy) callDenialPolicy
| read write nonatomic assign

Specifies the call denial policy.

If a user denies a call using CSCall::denyWithCompletionHandler: method then the denial reason will be determined based on CallDenialPolicy policy. By default, the property is set to Busy.

- (CSConnectionPolicy*) connectionPolicy
| read write nonatomic strong

The connection policy defining the signaling servers to communicate with.

- (id<CSCredentialProvider>) credentialProvider
| read write nonatomic weak

The credential provider to be used for SIP authentication.

- (NSString*) dialPlan
| read write nonatomic copy

It accelerates dialing by eliminating the need to wait for the INTER_DIGIT_TIMEOUT timer to expire.

The value can contain 0 to 1023 characters; the default value is null (""). See the telephone Administrator's Guide for format and setting alternatives. example: "[23]xxxx|91xxxxxxxxxx|9[2-9]xxxxxxxxx"

- (NSString*) displayName
| read write nonatomic copy

The display name used to identify the endpoint the user is on.

In SIP this is inserted in the display name portion of SIP Contact header. For example, the display name may be set to "Alice's Flare on iPad". This label is used to identify an endpoint from a list of endpoints that can be registered on behalf of the user (e.g., when SM's parallel forking group feature is enabled).

- (NSString*) domain
| read write nonatomic copy

The SIP domain for the user.

- (NSSet*) emergencyNumbers
| read write nonatomic strong

The emergency phone numbers.

Used in the Non-Aura environment. In a Aura environment, the identification of emergency numbers occurs automatically.

- (BOOL) enableAlternateCLI
| read write nonatomic assign

Controls whether the SIP endpoint sends Alternate-CLI header in other phone mode to other phone number.

By default, this property is false. If enabled, the SIP endpoint sets the Alternate-CLI header to the remote caller information and sends Alternate-CLI header to other phone number. If disabled, the SIP endpoint doesn't send Alternate-CLI header to other phone number.

- (BOOL) enabled
| read write nonatomic assign

A Boolean value indicating whether the SIP provider is enabled.

- (BOOL) enableDeskphoneModeOnStartup
| read write nonatomic assign

Controls whether the SIP endpoint registers in desk phone mode on startup.

If set to true, SIP endpoint registers with the lowest q-value i.e. 0. If set to false, SIP endpoint registers with the highest q-value i.e. 1. By default, the property is set to false.

Note
  If this property is set to true then it is expected that application should call activateSharedControlWithControllableEndpoint:completionHandler method after registration is successful and controllable endpoints are available.

- (BOOL) incomingVoipCallsBarred
| read write nonatomic assign

A Boolean value indicating that the user doesn't wish to receive incoming calls through VoIP service.

- (BOOL) initiateTCCallWhenForwardingEnabled
| read write nonatomic assign

When Send All Calls feature is enabled, there continues to be an incoming call notification that arrives at the client application, and will be forwarded to the Telecommuter device and cancelled when the Aura coverage timer fires.

To avoid the unnecessary signalling, the property may be set to disable.

- (NSString*) language
| read write nonatomic copy

The language string to use in Accept-Language header.

- (BOOL) MACAddressInfoInSIPRegistrationEnabled
| read write nonatomic assign

Controls whether the local MAC address information is provided in the "+av.mac-address" field of the SIP registration contact address or not.

By default, this property is set to false, indicating that no local MAC address information is provided in the SIP registration message. When this property is set to true and the local operating system allows reading of the MAC address based on the local IP address used for connection to the SIP server, then the local MAC address is provided in the "+av.mac-address" field. The MAC address provided in the "+av.mac-address" field is used by Avaya development partners to determine the location of the machine for E.911 calling.

- (NSUInteger) maxSimultaneousRegistrations
| read write nonatomic assign

The maximum number of servers a user can simultaneously register to.

The recommended range is from 1 to 5. If the property is not set, Client SDK will continue to simultaneously register to a maximum of three servers, as provided by PPM.

- (CSMediaAddressMode) mediaAddressMode
| read write nonatomic assign

Indicates the IP address type preference to use when negotiating media streams when the client connects to dual stack server from a dual stack client network.

- (NSArray*) mediaEncryptionCipherList
| read write nonatomic strong

List of enabled ciphersuites for SRTP.

- (CSSIPMobilityMode) mobilityMode
| read write nonatomic assign

The mobility mode for the user.

- (NSUInteger) otherPhoneModeRemoteMediaResponseTimeout
| read write nonatomic assign

Time period for waiting for completion of initial INVITE transaction with other phone call leg.

If no early or final media response is received from remote party within this time period, then the other phone call leg transaction will be completed with a dummy media response. Dummy media will be updated to real remote media info upon media response from remote party.

Valid values are within 0 to 30 seconds range. Default value is 30. If set to 0, it means there is no wait for completion of the initial INVITE transaction with the telecommuter call leg. If set to more than 30 or less than 0, this variable will be set to the default value of 30.

- (CSOutboundSubscriptionConfiguration*) outboundSubscriptionConfiguration
| read write nonatomic strong

Configuration information for Outbound Subscription data.

- (CSSignalingAddressMode) signalingAddressMode
| read write nonatomic assign

Indicates the SIP session manager address type preference when the client connects to dual stack server from a dual stack client network.

- (CSSIPAgentConfiguration*) SIPAgentConfiguration
| read write nonatomic strong

Configuration information for SIP Agent Feature service.

- (CSSIPClientConfiguration*) SIPClientConfiguration
| read write nonatomic strong

Configuration information for SIP Client data.

- (BOOL) SRTCPEnabled
| read write nonatomic assign

A Boolean value indicating whether encryption is enabled for SRTCP.

- (BOOL) transferToVoicemailEnabled
| read write nonatomic assign

A Boolean value indicating if transfer to voicemail feature is enabled.

- (NSString*) userId
| read write nonatomic copy

The user ID.

- (BOOL) useSIPSURIOverTLS
| read write nonatomic assign

Controls whether the SIP endpoint uses sips (secure SIP) URI scheme for all SIP requests it initiates towards the network, including secure media calls.

If enabled, SIP endpoint registers a SIPS Contact address with the SIP registrar, and uses SRTP crypto suites as controlled by mediaEncryptionCipherList.

If disabled, SIP endpoint registers a SIP Contact address with the SIP registrar, and uses SRTP crypto suites as controlled by mediaEncryptionCipherList.

- (CSMediaTransportPreference) voipCallingPreference
| read write nonatomic assign

VoIP Calling preference of user.

The documentation for this class was generated from the following file:

- CSSIPUserConfiguration.h